/*===== GOOGLE FONTS =====*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap");


/*===== VARIABLES CSS =====*/
:root{
  --header-height: 3rem;
  --font-semi: 600;
}

/*===== Colores =====*/
:root{

 --hue-color:142 ; /*Purple 250 - Green 142 - Blue 230 - Pink 340*/

  /* --first-color: #4070F4;
  --second-color: #0E2431; */
  --first-color: hsl(var(--hue-color), 69%, 61%);
  --first-color-second: hsl(var(--hue-color), 69%, 61%);
  --first-color-alt:hsl(var(--hue-color), 57%, 53%);
  --first-color-lighter:hsl(var(--hue-color), 92%, 85%);
  --title-color:hsl(var(--hue-color), 8%, 15%);
  --text-color:hsl(var(--hue-color), 8%, 45%);
  --text-color-light: hsl(var(--hue-color),8%, 65%);
  --input-color: hsl(var(--hue-color), 70%, 96%);
  --body-color:hsl(var(--hue-color), 60%, 99%);
  --container-color:#055052 ;
    --second-color: #0e2431;
}
/* Change favorite color */
   --hue-color:142 ; /*Purple 250 - Green 142 - Blue 230 - Pink 340*/

   /* HSL color mode */
   --first-color: hsl(var(--hue-color), 69%, 61%);
   --first-color-second: hsl(var(--hue-color), 69%, 61%);
   --first-color-alt:hsl(var(--hue-color), 57%, 53%);
   --first-color-lighter:hsl(var(--hue-color), 92%, 85%);
   --title-color:hsl(var(--hue-color), 8%, 15%);
   --text-color:hsl(var(--hue-color), 8%, 45%);
   --text-color-light: hsl(var(--hue-color),8%, 65%);
   --input-color: hsl(var(--hue-color), 70%, 96%);
   --body-color:hsl(var(--hue-color), 60%, 99%);
   --container-color:#055052 ;

/*===== Fuente y tipografia =====*/
:root{
--body-font:'Poppins', sans-serif ;
  --big-font-size: 2rem;
  --h2-font-size: 1.25rem;
  --normal-font-size: 0.938rem;
  /*===== addition =====*/
   --h1-font-size:1.5rem ;
    --h3-font-size: 1.125rem;
    --small-font-size: .813rem;
      --smaller-font-size: .75rem ;

      /*========== Font weight ==========*/
  --font-medium: 500 ;
  --font-semi-bold: 600 ;


}


  /*========== For large display ==========*/
@media screen and (min-width: 768px){
  :root{
    --big-font-size: 3.5rem;
    --h2-font-size: 2rem;
    --normal-font-size: 1rem;


       --h1-font-size: 2.25rem;
       --h2-font-size: 1.5rem;
       --h3-font-size: 1.25rem;

       --small-font-size: .875rem;
       --smaller-font-size: .813rem;
  }
}

/*===== Margenes =====*/
:root{
  --mb-0-25: .25rem;
    --mb-0-5: .5rem;
    --mb-0-75:.75rem ;
    --mb-1: 1rem;
    --mb-1-5: 1.5rem;
    --mb-2: 2rem;
    --mb-2-5: 2.5rem;
    --mb-3: 3rem;

  /* --mb-1: 0.5rem; */
  /* --mb-2: 2rem; */
  /* --mb-3: 1.5rem; */
  --mb-4: 2rem;
  --mb-5: 2.5rem;
  --mb-6: 3rem;
}

/*===== z index =====*/
:root{
  --z-back: -10;
  --z-normal: 1;
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*===== BASE =====*/
*,::before,::after{
  box-sizing: border-box;
}
html{
  scroll-behavior: smooth;
}
body{
  margin: margin: 0 0 var(--header-height) 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  color: var(--text-color);
}
h1,h2,h3,p{
  color: var(--title-color);


  margin: 0;
}
ul{
  margin: 0;
  padding: 0;
  list-style: none;
}
a{
  text-decoration: none;
}
img{
  max-width: 100%;
  height: auto;
  display: block;
}

/*===== CLASS CSS ===== */
.section{
    padding: 2rem 0 4rem;
    }
.section-title{
  /* position: relative; */
  font-size: var(--h1-font-size);
  color: var(--first-color);
  /* margin-top: var(--mb-2);
  margin-bottom: var(--mb-4); */
  text-align: center;
}

.section__subtitle{
    display: block;
    /* font-size: var(--small-font-size); */
    margin-bottom: var(--mb-3 );
      font-size: 1.1rem;
       text-align: center;
}


/*===== LAYOUT =====*/
.bd-grid{
  max-width: 1024px;
  display: grid;
  grid-template-columns: 100%;
  grid-column-gap: 2rem;
  width: calc(100% - 2rem);
  margin-left: 1rem;
  margin-right: 1;
}
.l-header{
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: #fff;
  box-shadow: 0 1px 4px rgba(146,161,176,.15);
}

/*===== NAV =====*/
.nav{
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: var(--font-semi);
}
@media screen and (max-width: 768px){
  .nav__menu{
    position: fixed;
    top: var(--header-height);
    right: -100%;
    width: 80%;
    height: 100%;
    padding: 2rem;
    background-color: var(--second-color);
    transition: .7s;
    opacity: .8;
  }
}
.nav__item{
  margin-bottom: var(--mb-4);
}
.nav__link{
  position: relative;
  color: #fff;
}
.nav__link:hover{
  position: relative;
  color: var(--first-color);
}
.nav__link:hover::after{
  position: absolute;
  content: "";
  width: 100%;
  height: 0.18rem;
  left: 0;
  top: 2rem;
  background-color: var(--first-color);
}
.nav__logo{
  color: var(--second-color);
  font-size: 1.8rem
}
.nav__toggle{
  color: var(--first-color);
  font-size: 1.5rem;
  cursor: pointer;
}

/*Active menu*/
.active::after{
  position: absolute;
  content: "";
  width: 100%;
  height: 0.18rem;
  left: 0;
  top: 2rem;
  background-color: var(--first-color);
}

/*=== Show menu ===*/
.show{
  right: 0;

}
/*===== social icon color =====*/


/*===== HOME =====*/
.home{
  height: calc(100vh - 3rem);
  row-gap: 1rem;

}
.home__data{
  align-self: center;
}
.home__title{
  font-size: var(--big-font-size);
  margin-bottom: var(--mb-5);
}
.home__title-color{
  color: var(--first-color);
}
.home__social{
  display: flex;
  flex-direction: column;
}
.home__social-icon{
  width: max-content;
  margin-bottom: var(--mb-2);
  font-size: 1.5rem;
  color: var(--second-color);
}
.home__social-icon:hover{
  color: var(--first-color);
}
.home__img{
    position: absolute;
  right: 0;
  bottom: 0;
  height:69% ;
  width: 65%;

}

/*BUTTONS*/
.button{

  background-color: var(--first-color);
color: #FFF;
padding: 1rem;
border-radius: .5rem;
font-weight: var(--font-medium);
}
.button:hover{
  box-shadow: 0 10px 36px rgba(0,0,0,.15);
}

/* ===== ABOUT =====*/
.about__container{
  row-gap: 2rem;
  text-align: center;
}
.about__subtitle{
  margin-bottom: var(--mb-2);
}
.about__img{
  justify-self: center;
}
.about__img img{
  width: 200px;
  border-radius: .5rem;
}

/* ===== SKILLS =====*/
.skills__container{
  row-gap: 2rem;
  text-align: center;
}
.skills__subtitle{
  margin-bottom: var(--mb-2);
}
.skills__text{
  margin-bottom: var(--mb-4);
}
.skills__data{
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  font-weight: var(--font-semi);
  padding: .5rem 1rem;
  margin-bottom: var(--mb-4);
  border-radius: .5rem;
  box-shadow: 0 4px 25px rgba(14,36,49,.15);
}
.skills__icon{
  font-size: 2rem;
  margin-right: var(--mb-2);
  color: var(--first-color);
}
.skills__names{
  display: flex;
  align-items: center;
}
.skills__bar{
  position: absolute;
  left: 0;
  bottom: 0;
  background-color: var(--first-color);
  height: .25rem;
  border-radius: .5rem;
  z-index: var(--z-back);
}
.skills__html{
  width: 95%;
}
.skills__css{
  width: 85%;
}
.skills__js{
  width: 65%;
}
.skills__react{
  width: 85%;
}
.skills__node{
  width: 80%;
}
.skills__mongodb{
  width: 85%;
}
.skills__express{
  width: 90%;
}
.skills__postman{
  width: 85%;
}

/* ===== WORK =====*/
.work__container{
  row-gap: 2rem;
}
.work__img{
  box-shadow: 0 4px 25px rgba(14,36,49,.15);
  border-radius: .5rem;
  overflow: hidden;
}
.work__img img{
  transition: 1s;
  cursor: pointer;
}
.work__img img:hover{
  transform: scale(1.1);
}
.work p{
  text-align: center;
  color: #93B5C6;
}

/* ===== CONTACT =====*/
.contact__input{
   background-color: var(--input-color);
  width: 100%;
  color: var(--text-color);
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  font-weight: var(--font-semi);
  padding: 1rem;
  border-radius: .7rem;
  /* border: 1.5px solid var(--second-color); */
    border: none;
  outline: none;
  margin-bottom: var(--mb-4);
}
.contact__button{
  display: block;
  border: none;
  outline: none;
  font-size: var(--normal-font-size);
  cursor: pointer;
  margin-left: auto;
}
/* ===== FOOTER extended =====*/
.footer__container{

    row-gap: 2rem;


}
.footer__link{
    padding: .25rem 0;

}
.footer__link:hover{
    color: var(--first-color);
}.footer__social{
    font-size: 1.4rem;
    margin-right: var(--mb-1);
}
.footer__social:hover{
    color: var(--first-color);
}
.footer__link,
.footer__text,
.footer__social{
  color: #93B5C6;
}



/* ===== FOOTER =====*/
.footer{
  background-color: var(--second-color);
  color: #fff;
  /* text-align: center; */
  /* font-weight: var(--font-semi);
  padding: 2rem 0; */

}
.footer__title{
  font-size: 2rem;
  margin-bottom: var(--mb-4);
  color: #38A3A5;
}

.footer__social{
  margin-bottom: var(--mb-4);
}
.footer__icon{
  font-size: 1.5rem;
  color: #fff;
  margin: 0 var(--mb-2)
}

/* ===== MEDIA QUERIES=====*/
/* ===== For small screen =====*/
@media screen and (max-width: 768px){
.section-title{
  font-size: 2.25rem;
}
.home__img{
  height: 86%

}
}

/* ===== For medium screen =====*/
@media screen and (min-width: 768px){
  body{
    margin: 0;
  }
  .section{
    padding-top: 4rem;
    padding-bottom: 3rem;
  }

  .footer__container{
         grid-template-columns: repeat(3, 1fr);
         justify-items: center;
     }
  /* .section-title{
    margin-bottom: var(--mb-6);
  }
  .section-title::after{
    width: 80px;
    top: 3rem;
  } */

  .nav{
    height: calc(var(--header-height) + 1rem);
  }
  .nav__list{
    display: flex;
    padding-top: 0;
  }
  .nav__item{
    margin-left: var(--mb-6);
    margin-bottom: 0;
  }
  .nav__toggle{
    display: none;
  }
  .nav__link{
    color: var(--second-color);
  }

  .home{
    height: 100vh;
  }
  .home__data{
    align-self: flex-end;
  }
  .home__social{
    padding-top: 0;
    padding-bottom: 2.5rem;
    flex-direction: row;
    align-self: flex-end;
  }
  .home__social-icon{
    margin-bottom: 0;
    margin-right: var(--mb-4);
  }
  .home__img{
    width: 457px;
    bottom: 15%;
  }

  .about__container, .skills__container{
    grid-template-columns: repeat(2,1fr);
    align-items: center;
    text-align: initial;
  }
  .about__img img{
    width: 300px;
  }
  .work__container{
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2,1fr);
    column-gap: 2rem;
  }
  /* .contact__form{
    width: 360px;
  }
  .contact__container{
    justify-items: center;
  } */
}

@media screen and (min-width: 1024px){
  .bd-grid{
    margin-left: auto;
    margin-right: auto;
  }
  .home__img{
    right: 10%;
  }
}

.contact__container{
    row-gap: 3rem;
}
.contact__information{
    display: flex;
    margin-bottom: var(--mb-2);
}
.contact__icon{
    font-size: 2rem;
    color: var(--first-color);
    margin-right: var(--mb-0-75);
}
.contact__title{
    font-size: var(--h3-font-size);
    font-weight: var(--font-medium);
}
.contact__subtitle{
    font-size: var(--small-font-size);
    color: var(--text-color-light);
}
.contact__content{
background-color: var(--input-color);
border-radius: .5rem;
padding: .75rem 1rem .25rem;
}
.contact__label{
    font-size: var(--smaller-font-size);
    color: var(--title-color);
}
/* .contact__inputs{
    width: 100%;

    background-color: var(--input-color);
    color: var(--text-color);
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    border: none;
    outline: none;
    padding: .25rem .5rem .5rem 0;
} */



.scrollup{
    position: fixed;
    right: 1rem;
    bottom:5rem;
    /* background-color: var(--first-color); */
    opacity: .8;
    padding: 0 .3rem;
    border-radius: .4rem;
    z-index: var(--z-tooltip);
}
.scrollup__icon:hover{
    border-color: var(--first-color);
    transition: .4s;
    font-size: 1.9rem;
}
.scrollup__icon{
    font-size: 1.5rem;
    color: var(--first-color-alt);
}
/* ===== social icon color =====*/
.linkedin{
  color: #0e76a8  ;
}
.facebook{
color:  #3b5998;
}
.github{
  color: #211F1F;
}
